tcflush(3)

NAME
tcflush - discard pending data

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <termios.h>

int tcflush(int fd, int queue_selector);

DESCRIPTION
tcflush() discards data written to the object referred to by fd but not transmitted, or data received but not read, depending on the value of queue_selector:

TCIFLUSH
    flushes data received but not read.

TCOFLUSH
    flushes data written but not transmitted.

TCIOFLUSH
    flushes both data received but not read, and data written but not transmitted.

RETURN VALUE

0   on success.

-1  on failure and set errno to indicate the error.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
POSIX.1-2008.

HISTORY
POSIX.1-2001.

SEE ALSO
tcsendbreak(3), tcdrain(3), tcflow(3), termios(7)